package common.dimension;

public final class Area extends Dimension {
	Area(int id, String name) {
    	super(id, name);
    }
	
	public Area(int id, String name, int sky, int fog, float temperature, int brightness) {
    	super(id, name);
    	this.setPhysics(1L, 1L, 0.0f, 10.0f, temperature, brightness);
    	this.setSkyColor(sky).setFogColor(fog);
    }
    
	public final DimType getType() {
		return DimType.AREA;
	}
}
